Get a specific pending transaction. | Algorand Developer Portal
Get a specific pending transaction.
GET
/v2/transactions/pending/{txid}
Given a transaction ID of a recently submitted transaction, it returns information about it. There are several cases when this might succeed:
- transaction committed (committed round > 0)
- transaction still in the pool (committed round = 0, pool error = "")
- transaction removed from pool due to error (committed round = 0, pool error != "")
Or the transaction may have happened sufficiently long ago that the node no longer remembers it, and this will return an error.
Authorizations
Parameters
Path Parameters
txid
required
string
/[A-Z0-9]+/
A transaction ID
Query Parameters
format
string
Allowed values: json msgpack
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.
Responses
200
Given a transaction ID of a recently submitted transaction, it returns information about it. There are several cases when this might succeed:
Select media typeapplication/jsonapplication/msgpack
Details about a pending transaction. If the transaction was recently confirmed, includes confirmation details like the round and reward details.
application-index
The application index if the transaction was found and it created an application.
integer
asset-closing-amount
The number of the asset’s unit that were transferred to the close-to address.
integer
asset-index
The asset index if the transaction was found and it created an asset.
integer
close-rewards
Rewards in microalgos applied to the close remainder to account.
integer
closing-amount
Closing amount for the transaction.
integer
confirmed-round
The round where this transaction was confirmed, if present.
integer
global-state-delta
Application state delta.
Array
key
required
string
value
required
Represents a TEAL value delta.
object
action
required
[at] delta action.
integer format: uint64
bytes
[bs] bytes value.
string
uint
[ui] uint value.
integer format: uint64
inner-txns
Array
local-state-delta
Local state key/value changes for the application being executed by this transaction.
Array
address
required
string
delta
required
Application state delta.
Array
key
required
string
value
required
Represents a TEAL value delta.
object
action
required
[at] delta action.
integer format: uint64
bytes
[bs] bytes value.
string
uint
[ui] uint value.
integer format: uint64
logs
Logs for the application being executed by this transaction.
Array
pool-error
required
Indicates that the transaction was kicked out of this node’s transaction pool (and specifies why that happened). An empty string indicates the transaction wasn’t kicked out of this node’s txpool due to an error.
string
receiver-rewards
Rewards in microalgos applied to the receiver account.
integer
sender-rewards
Rewards in microalgos applied to the sender account.
integer
txn
required
The raw signed transaction.
object
400
Bad Request
An error response with optional data field.
data
object
message
required
string
401
Invalid API Token
An error response with optional data field.
data
object
message
required
string
404
Transaction Not Found
An error response with optional data field.
data
object
message
required
string
default
Unknown Error